Summary: A program which locks one or more virtual consoles.
Name: vlock
Version: 1.3
Release: 16
License: GPL
Group: Applications/System
Source: ftp://tsx-11.mit.edu:/pub/linux/sources/usr.bin/vlock-1.3.tar.gz
Patch0: vlock-1.3-system-auth.patch
Patch1: vlock-1.3-multilib-pam.patch
Requires: pam >= 0.59, /etc/pam.d/system-auth
Buildrequires: pam-devel
BuildRoot: %{_tmppath}/vlock

%description
The vlock program locks one or more sessions on the console.  Vlock
can lock the current terminal (local or remote) or the entire virtual
console system, which completely disables all console access.  The
vlock program unlocks when either the password of the user who started
vlock or the root password is typed.

Install vlock if you need to disable access to one console or to all
virtual consoles.

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 1.3-12
- remove absolute paths from PAM configuration for use on multilib systems

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Michael K. Johnson <johnsonm@redhat.com>
- added pam-devel buildrequires

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 01 2000 Nalin Dahyahai <nalin@redhat.com> 
- change PAM setup to use system-auth
- move man pages to %%{_mandir}

* Tue Feb 08 2000 Nalin Dahyahai <nalin@redhat.com> 
- handle compressed man pages
- use defattr instead of explicit ownership at install-time

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 13 1999 Michael Johnson <johnsonm@redhat.com>
- released 1.3

* Thu Mar 12 1998 Michael K. Johnson <johnsonm@redhat.com>
- Does not create a DoS attack if pty is closed (not applicable
  to use on a VC)

* Fri Oct 10 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam conventions.
- Use pam according to spec, rather than abusing it as before.
- Updated to version 1.1.
- BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

%prep 
%setup -q
%patch0 -p1 -b .system-auth
%patch1 -p1 -b .multilib-pam

%build
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 755 -s vlock $RPM_BUILD_ROOT%{_bindir}/
install -m 644 vlock.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 vlock.pamd $RPM_BUILD_ROOT/etc/pam.d/vlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/vlock
%{_bindir}/vlock
%{_mandir}/man1/vlock.1*
